Re: Installing flrig


Ray Wells
 

David,

First, I haven't used the program(s) you're trying to compile but I have compiled many other programs on Debian and its derivatives over the years, making me a bit familiar with what some compile errors mean.

On 4/11/19 4:57 am, David KD4E wrote:
I have Buster Raspian loaded.

I've been following the instructions here:

https://dl1gkk.com/setup-raspberry-pi-for-ham-radio/

I skipper DireWolf & other apps and went directly to flrig.

I got as far as Make for flrig (everything in the prior section for flxmlrpc appeared to go OK).

Make went on forever through all the rigs (wish there were a script to remove most of them).

Then Make ended with some errors ...

"... cannot find ...

ljpeg
lxrender
lxcursor
lxft
lfontconfig
lxinerama

Without seeing the complete error message, it kinda looks like you might be missing some -dev packages. Did you run this line from the site you provided a link to that installs the -dev(elopment) packages?
sudo apt-get install libfltk1.3-dev libjpeg9-dev libxft-dev libxinerama-dev libxcursor-dev libsndfile1-dev libsamplerate0-dev portaudio19-dev libpulse-dev


I stopped at that point as I believe that's not OK.

WDYT?

Thanks,

David KD4E

HTH

Ray vk2tv

Join RaspberryPi-4-HamRadio@groups.io to automatically receive all group messages.